## Class Auth_OpenID_Association

Description

This class represents an association between a server and a consumer. In general, users of this library will never see instances of this object. The only exception is if you implement a custom Auth_OpenID_OpenIDStore.

If you do implement such a store, it will need to store the values of the handle, secret, issued, lifetime, and assoc_type instance variables.

Located in /Auth/OpenID/Association.php (line 44)

Method Summary
Auth_OpenID_Association deserialize ( $class_name, string $assoc_s)
bool equal ( $other)
integer getExpiresIn ([ $now = null])
string serialize ()
Methods
deserialize (line 209)

Parse an association as stored by serialize(). This is the inverse of serialize.

- return: instance of this class

Auth_OpenID_Association deserialize ( $class_name, string $assoc_s)

- string $assoc_s: Association as serialized by serialize()
- $class_name

equal (line 170)

This checks to see if two Auth_OpenID_Association instances represent the same association.

- return: true if the two instances represent the same association, false otherwise.

bool equal ( $other)

- $other

getExpiresIn (line 154)

This returns the number of seconds this association is still valid for, or 0 if the association is no longer valid.

- return: The number of seconds this association is still valid for, or 0 if the association is no longer valid.

integer getExpiresIn ([ $now = null])

- $now

serialize (line 186)

Convert an association to KV form.

- return: String in KV form suitable for deserialization by deserialize.

string serialize ()

Documentation generated on Tue, 21 Apr 2009 11:31:28 -0700 by phpDocumentor 1.3.2